Package org.apache.sysds.hops

# Enum Class AggBinaryOp.MMultMethod

java.lang.Object
java.lang.Enum<AggBinaryOp.MMultMethod>
org.apache.sysds.hops.AggBinaryOp.MMultMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<AggBinaryOp.MMultMethod>`, `Constable`

Enclosing class:
  AggBinaryOp

public static enum AggBinaryOp.MMultMethod extends Enum<AggBinaryOp.MMultMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CPMM`
`MAPMM_CHAIN`
`MAPMM_L`
`MAPMM_R`
`MM`
`PMAPMM`
`PMM`
`RMM`
`TSMM`
`TSMM2`
`ZIPMM`

## Method Summary

Modifier and Type
Method
Description
`static AggBinaryOp.MMultMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AggBinaryOp.MMultMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CPMM

public static final AggBinaryOp.MMultMethod CPMM

### RMM

public static final AggBinaryOp.MMultMethod RMM

### MAPMM_L

public static final AggBinaryOp.MMultMethod MAPMM_L

### MAPMM_R

public static final AggBinaryOp.MMultMethod MAPMM_R

### MAPMM_CHAIN

public static final AggBinaryOp.MMultMethod MAPMM_CHAIN

### PMAPMM

public static final AggBinaryOp.MMultMethod PMAPMM

### PMM

public static final AggBinaryOp.MMultMethod PMM

### TSMM

public static final AggBinaryOp.MMultMethod TSMM

### TSMM2

public static final AggBinaryOp.MMultMethod TSMM2

### ZIPMM

public static final AggBinaryOp.MMultMethod ZIPMM

### MM

public static final AggBinaryOp.MMultMethod MM

## Method Details

### values

public static AggBinaryOp.MMultMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AggBinaryOp.MMultMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null